﻿<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Local Registry Provider FR</title>
  <link rel="stylesheet" href="https://stackedit.io/style.css" />
</head>

<body class="stackedit">
  <div class="stackedit__html"><h1 id="lfusion-local-registry-provider">LFusion Local Registry Provider</h1>
<p>Ce package permet de créer un fournisseur de registre lié au projet.<br>
Les packages peuvent être ajoutés par des extensions implémentant un fournisseur.</p>
<ol>
<li><a href="#pr%C3%A9requis">Prérequis</a></li>
<li><a href="#installation">Installation</a></li>
<li><a href="#configuration">Configuration</a></li>
<li><a href="#safe-mode">Safe Mode</a></li>
<li><a href="#lfusion-extensions">LFusion Extensions</a></li>
</ol>
<h2 id="prérequis">Prérequis</h2>
<ul>
<li><strong>Unity 2020</strong> ou supérieur</li>
</ul>
<h2 id="installation">Installation</h2>
<h3 id="installer-via-gitlab-registry">Installer via Gitlab registry</h3>
<ul>
<li>Ajouter le registre <a href="https://gitlab.com/lfusion/upm-registry">LFusion Upm-Registry</a></li>
<li><strong>Pour Unity 2021 ou plus récent</strong>
<ul>
<li>Package Manager</li>
<li><strong>+</strong> Add package by name…
<ul>
<li><code>Name : com.lfusion.localregistryprovider.core</code></li>
</ul>
</li>
</ul>
</li>
<li><strong>Pour toutes les versions supportées</strong>
<ul>
<li>Ouvrir <code>manifest.json</code> dans le dossier Packages du projet.</li>
<li>Ajouter <code>"com.lfusion.localregistryprovider.core": "x.x.x",</code> dans le bloc <code>dependencies</code>  en remplaçant <code>x.x.x</code> par la version voulu.</li>
<li>Exemple pour la version <code>1.0.0</code> :</li>
</ul>
</li>
</ul>
<pre class=" language-json"><code class="prism  language-json"><span class="token punctuation">{</span>
  <span class="token string">"dependencies"</span><span class="token punctuation">:</span> <span class="token punctuation">{</span>
    <span class="token string">"com.lfusion.localregistryprovider.core"</span><span class="token punctuation">:</span> <span class="token string">"1.0.0"</span><span class="token punctuation">,</span>
    <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
<span class="token punctuation">}</span>
</code></pre>
<h3 id="installer-via-tarball">Installer via tarball</h3>
<ul>
<li>Télécharger <code>com.lfusion.localregistryprovider.core-x.x.x.tgz</code> depuis <a href="https://gitlab.com/lfusion/localregistryprovider/core/-/releases">releases</a>.</li>
<li>Package Manager</li>
<li><strong>+</strong> Add package from tarball…</li>
<li>Sélectionnez  <code>com.lfusion.localregistryprovider.core-x.x.x.tgz</code></li>
</ul>
<h2 id="configuration">Configuration</h2>
<p>Les paramètres de LFusion Local Registry Provider sont accessibles depuis:</p>
<ol>
<li><code>Edit/Project Settings...</code></li>
<li><code>Package Manager/Local Registry</code></li>
</ol>
<h3 id="package-mode">Package Mode</h3>
<p>Indique le mode de fourniture des packages, <em>Non Embarqué</em> (serveur local) ou <em>Embarqué</em>.<br>
Permet de basculer le mode de fourniture des packages.</p>
<ul>
<li>Le mode <em>Non Embarqué</em> permet d’installer de nouveaux packages.</li>
<li>Le mode <em>Embarqué</em> transfère les packages dans le projet.<br>
<strong>↳</strong> Basculer sur ce mode avant commit le projet sur un outil de versionnement.</li>
</ul>
<h3 id="general">General</h3>

<table>
<thead>
<tr>
<th>Nom</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Provider Port</td>
<td>Défini le port utilisé par le serveur de registre</td>
</tr>
<tr>
<td>Auto Update Registry</td>
<td>Active la mise à jour automatique du scoped registry</td>
</tr>
<tr>
<td>Scope Accuracy</td>
<td>Défini la profondeur des scopes créer automatiquement</td>
</tr>
</tbody>
</table><h3 id="providers">Providers</h3>
<p>Cette section liste les extensions et les packages qu’elles fournissent.<br>
Des fournisseurs peuvent être ajoutés en implémentant <code>IProvider</code></p>
<h3 id="rules">Rules</h3>
<p>Cette section permet d’ajouter des règles permettant de modifier les informations d’un package à la volée.<br>
Une règle est composée de filtre(s) et d’action(s).<br>
Des filtres et des actions peuvent être ajoutés en implémentant respectivement <code>IFilter</code> et <code>IAction</code></p>
<h3 id="advanced-settings">Advanced Settings</h3>

<table>
<thead>
<tr>
<th>Nom</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td><strong>Standalone Server</strong></td>
<td>Permet de gérer un projet utilisable comme serveur indépendant</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Create</em></td>
<td>Créer le projet dans le sous dossier StandaloneRegistryServer</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Clean</em></td>
<td>Nettoie le projet dans le sous dossier StandaloneRegistryServer</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Delete</em></td>
<td>Supprime le projet dans le sous dossier StandaloneRegistryServer</td>
</tr>
<tr>
<td><strong>Clear Cache</strong></td>
<td>Permet de nettoyer les caches des packages</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Unity</em></td>
<td>Nettoie le cache <a href="https://docs.unity3d.com/Manual/upm-cache.html">Global</a> &amp; Projet</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Local Server</em></td>
<td>Nettoie le cache des fournisseurs</td>
</tr>
<tr>
<td><strong>↳</strong> <em>Both</em></td>
<td>Nettoie les deux caches ci-dessus</td>
</tr>
<tr>
<td><strong>↳</strong> <em>□ Save force sync</em></td>
<td>Enregistre le nettoyage de cache pour le répercuter aux autres développeurs</td>
</tr>
<tr>
<td>Debug Mode</td>
<td>Active les logs complets et ajoute des informations aux packages</td>
</tr>
</tbody>
</table><h2 id="safe-mode">Safe Mode</h2>
<p>Si Unity démarre en safe mode le serveur de fournisseurs ne pourra pas se lancer. Pour cela, vous pouvez lancer l’extension au sein d’un projet dédié.</p>
<ol>
<li>Vous pouvez créer ce projet en utilisant le bouton <code>Create</code> dans les <code>Advanced Settings</code> de <strong>LFusion Local Registry Provider</strong>.</li>
<li>Vous pouvez aussi le créer manuellement.
<ul>
<li>Copier les dossiers Packages et ProjectSettings du projet dans un nouveau dossier.</li>
<li>Créer un nouveau dossier <code>Assets</code> vide dans le dossier créer précédemment.</li>
</ul>
</li>
</ol>
<h2 id="lfusion-extensions">LFusion Extensions</h2>

<table>
<thead>
<tr>
<th>Name</th>
<th>Package Name</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Tgz Provider</td>
<td>com.lfusion.localregistryprovider.tgzprovider</td>
<td>Référence des packages locaux ou en ligne. Sa classe <code>ITgzProvider</code> simplifie le développement d’extensions.</td>
</tr>
<tr>
<td>Google Provider</td>
<td>com.lfusion.localregistryprovider.googleprovider</td>
<td>Référence les packages Google hébergés sur : <a href="https://developers.google.com/unity/archive">https://developers.google.com/unity/archive</a> et Github.</td>
</tr>
<tr>
<td><s>Unity Package Provider</s></td>
<td><s>com.lfusion.localregistryprovider.xxxx</s></td>
<td><s>Converti et référence des packages depuis des .unitypackage</s></td>
</tr>
</tbody>
</table></div>
</body>

</html>
